### Constructor

# FwupdPlugin IfwiCpdFirmware new

#### Declaration [src]

    FuFirmware*
    fu_ifwi_cpd_firmware_new (
      void
    )

#### Description [src]

Creates a new `FuFirmware` of Intel Code Partition Directory format.

Available since: | 1.8.2

#### Return value

Returns: | `FuFirmware`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.